add bond primary parameter

Bug #1709135 reported by Ryan Harper on 2017-08-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nplan (Ubuntu)
High
Mathieu Trudel-Lapierre
Xenial
High
Mathieu Trudel-Lapierre
Zesty
High
Mathieu Trudel-Lapierre
Artful
High
Mathieu Trudel-Lapierre
systemd (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Dimitri John Ledkov
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

[Impact]
Some complex bond configurations require setting a "primary" interface for the bond, or setting this greatly improves performance on the network bond.

[Test case]
See below for a configuration example.
1) Apply configuration on a system with netplan.
2) Run 'netplan apply'
3) Validate that netplan apply does not return with an error
4) Validate that netplan properly sets the "primary_slave" value on the bond. This can be verified by looking at /sys/class/net/<bond interface>/bonding/primary_slave.
5) Validate that there are no parsing errors from systemd-networkd in the journalctl

[Regression potential]
If existing configuration fails to be parsed, or lack of primary interface breaks configuration for existing bonds, this would be a regression caused by this update.

---

ifenslave/eni support a bond parameter: bond-primary which accepts an interface name that can be used to tell the kernel bonding driver which interface it should preferred in active-backup (and other modes). This config option is missing in netplan.

 % cat bond-primary.yaml
network:
  version: 2
  ethernets:
    eth0:
      match:
        driver: virtio
    ens4:
      match:
        driver: e1000
  bonds:
    bond0:
      parameters:
        mode: active-backup
        mii-monitor-interval: 100
        primary: e1000
      dhcp4: true

% ./generate -r `pwd`/target
Error in network definition /home/rharper/work/git/netplan/target//etc/netplan/bond-primary.yaml line 12 column 8: unknown key primary

Ryan Harper (raharper) wrote :

This maps to networkd Bond config parameter: PrimarySlave=

Steve Langasek (vorlon) on 2017-08-07
Changed in nplan (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
importance: Undecided → High
milestone: none → ubuntu-17.08
status: New → Triaged

Sounds like we'd need to add a key under parameters: for the bond device, as per the original description (but the device needs to be listed in 'interfaces', and exist in the list of interfaces defined in netplan:

ethernets:
  version: 2
  ethernets:
    eth0:
      match:
        driver: virtio
    ens4:
      match:
        driver: e1000
  bonds:
    bond0:
      interfaces: [ eth0, ens4 ]
      parameters:
        mode: active-backup
        mii-monitor-interval: 100
        primary: ens4
      dhcp4: true

This will require backporting the feature from systemd to the releases where we need this (to xenial).

Changed in systemd (Ubuntu Xenial):
status: New → Fix Released
status: Fix Released → New
Changed in systemd (Ubuntu Zesty):
status: New → Fix Released
Changed in systemd (Ubuntu Artful):
status: New → Fix Released
Changed in systemd (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in nplan (Ubuntu Xenial):
status: New → Triaged
Changed in nplan (Ubuntu Zesty):
status: New → Triaged
importance: Undecided → High
Changed in nplan (Ubuntu Xenial):
importance: Undecided → High
Changed in nplan (Ubuntu Zesty):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in nplan (Ubuntu Xenial):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nplan - 0.26

---------------
nplan (0.26) artful; urgency=medium

  * Bonding:
    - Add support for specifying a primary slave. (LP: #1709135)
  * Rebind:
    - Fix brcmfmac harder. Treat any 'brcmfmac' driver as not supporting
      rebind. (LP: #1712224)
  * Autopkgtests:
    - Add allow-stderr. Systemd now bleats about a the networkd socket still
      being around and enabled when we restart the service; but we don't need
      to care since we're /restarting/ the service to load the new config.
    - Fix the autostart package to be more sensible: we don't really care if
      networkd autostarts or not, but we need to make sure that our generator
      will run at boot, so instead check the state, but only assert it once
      we've added a config file and before checking the state of our dummy
      device.
    - Do a bit more to make sure "mix" tests which stack virtual devices are
      as reliable as possible; by setting saner defaults.

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 23 Aug 2017 19:32:33 -0400

Changed in nplan (Ubuntu Artful):
status: Triaged → Fix Released
description: updated
Dimitri John Ledkov (xnox) wrote :
Changed in systemd (Ubuntu Zesty):
status: Fix Released → Triaged
Changed in systemd (Ubuntu Xenial):
status: New → Confirmed
Changed in systemd (Ubuntu Zesty):
status: Triaged → In Progress
description: updated

Hello Ryan, or anyone else affected,

Accepted systemd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/229-4ubuntu20 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemd (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-xenial
tags: added: id-5988c3a877d5e440aecf0c3a
tags: added: id-5988c348d036b6f6acb1e389
description: updated
Dimitri John Ledkov (xnox) wrote :

Installed nplan 0.29 from artful to get it process the test-case yaml, to then test networkd portion is working right.

Using:
# cat /etc/netplan/bond-primary.yaml
network:
  version: 2
  ethernets:
    eth0:
      match:
        name: eth0
    dummy0:
      match:
        driver: dummy
  bonds:
    bond0:
      interfaces: [eth0, dummy0]
      parameters:
        mode: active-backup
        mii-monitor-interval: 100
        primary: eth0
      dhcp4: true

229-4ubuntu19
Oct 02 15:37:21 test-upgrade systemd-networkd[1773]: [/run/systemd/network/10-netplan-eth0.network:8] Unknown lvalue 'PrimarySlave' in section 'Network'
Oct 02 15:37:21 test-upgrade systemd-networkd[1773]: bond0: IPv6 enabled for interface: Success

229-4ubuntu20
Oct 02 15:39:22 test-upgrade systemd[1]: Starting Network Service...
Oct 02 15:39:22 test-upgrade systemd-networkd[3821]: bond0: IPv6 enabled for interface: Success
Oct 02 15:39:22 test-upgrade systemd-networkd[3821]: bond0: netdev ready
Oct 02 15:39:22 test-upgrade systemd-networkd[3821]: eth0: Gained IPv6LL
Oct 02 15:39:22 test-upgrade systemd-networkd[3821]: Enumeration completed
Oct 02 15:39:22 test-upgrade systemd[1]: Started Network Service.

All is good.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Dimitri John Ledkov (xnox) wrote :

verification is done for the systemd portion of the bug.

Dimitri John Ledkov (xnox) wrote :

note that one cannot really use bond0 as it will be auto created and networkd may loose the race to configure it. it is safer to use bond1 until a bugfix is SRUed to set max_bond to zero by default.

pre-tested with artful's netplan on zesty with a backrported systemd.

Brian Murray (brian-murray) wrote :

Hello Ryan, or anyone else affected,

Accepted systemd into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/232-21ubuntu7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemd (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-zesty
removed: verification-done
Brian Murray (brian-murray) wrote :

Hello Ryan, or anyone else affected,

Accepted nplan into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nplan/0.29~17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nplan (Ubuntu Zesty):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Ryan, or anyone else affected,

Accepted nplan into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nplan/0.29~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nplan (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed-xenial
removed: verification-done-xenial
Dimitri John Ledkov (xnox) wrote :

# dpkg-query -W systemd nplan
nplan 0.23~16.04.1
systemd 229-4ubuntu19

# netplan generate
Error in network definition //etc/netplan/bond-primary.yaml line 13 column 8: unknown key primary

Enabled proposed, retweaked netplan to have correct interface names

# dpkg-query -W systemd nplan
nplan 0.29~16.04.1
systemd 229-4ubuntu20

root@srux:~# netplan generate
root@srux:~# echo $?
0

My current netplan is
$ cat /etc/netplan/bond.yaml
network:
  version: 2
  ethernets:
    ens7:
      match:
        name: ens7
    ens8:
      match:
        name: ens8
  bonds:
    bond1:
      interfaces: [ ens7, ens8 ]
      parameters:
        mode: active-backup
        mii-monitor-interval: 100
        primary: ens8
      dhcp4: true

Active slave is ens8. Changing netplan primary to ens7, and re-running apply changes the active slave.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Dimitri John Ledkov (xnox) wrote :

$ sudo netplan apply
Error in network definition //etc/netplan/bond.yaml line 13 column 8: unknown key primary

$ dpkg-query -W nplan systemd
nplan 0.23~17.04.1
systemd 232-21ubuntu5

$ sudo netplan apply
$ echo $?
0

$ dpkg-query -W systemd nplan
nplan 0.29~17.04.1
systemd 232-21ubuntu7

Bond is up, changing primary setting in netplan and executing apply, changes the active_slave.

tags: added: verification-done verification-done-zesty
removed: verification-needed verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 229-4ubuntu20

---------------
systemd (229-4ubuntu20) xenial; urgency=medium

  * resolved: recognize DNS names with more than one trailing dot as invalid
    (LP: #1600000)
  * Ignore failures to set Nice priority on services in containers.
    (LP: #1709536)
  * networkd: accept `:' in ifnames in systemd/networkd. (LP: #1714933)
  * initramfs-tools: trigger udevadm add actions with subsystems first.
    (LP: #1713536)
  * networkd: Add support to set STP value on a bridge. (LP: #1665088)
  * networkd: add support for AgeingTImeSec, Priority and DefaultPVID settings.
    (LP: #1715131)
    - Drop cherrypick of uint16 config parser, superseeded by above commit.
  * networkd: add support to set ActiveSlave and PrimarySlave. (LP: #1709135)
    - networkd: add support to configure ARP, depedency of Primary/ActiveSlave.

 -- Dimitri John Ledkov <email address hidden> Tue, 05 Sep 2017 14:01:51 +0100

Changed in systemd (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for systemd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

this breaks existing configurations with bonding on upgrading from 229-4ubuntu19 to 229-4ubuntu20
as bond interfaces are now by default configured without ARP. Hence you suddenly lose network connectivity on upgrade. Very bad for a SRU.

Plus adding "ARP=yes" to the Link section of a .network file does not work.

Dimitri John Ledkov (xnox) wrote :

@Markus Schade

Could you please elaborate what you mean? and/or open a new bug with a tag "regression-updates" describing your system?

In systemd, the patch which was added is as following:
https://git.launchpad.net/~ubuntu-core-dev/+git/systemd/tree/debian/patches/networkd-add-support-to-configure-NOARP-ARP-for-interface.patch?h=ubuntu-xenial&id=b84ef89476003b10da06e9bb7d347f3b1e2098cf

Note that whilst Link.ARP setting is added to networkd, there is no change in behavior. It is a tristate, without a default setting, meaning kernel default is used.

Actually there is. Before this update, bond interfaces (specifically 802.3ad) were defaulting to ARP enabled. After the upgrade, they are created with NOARP set on the link.

pre-upgrade:

eth0: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP>
eth1: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP>
bond0: <BROADCAST,MULTICAST,MASTER,UP,LOWER_UP>

post-upgrade:
eth0: <BROADCAST,MULTICAST,NOARP,SLAVE,UP,LOWER_UP>
eth1: <BROADCAST,MULTICAST,NOARP,SLAVE,UP,LOWER_UP>
bond0: <BROADCAST,MULTICAST,NOARP,MASTER,UP,LOWER_UP>

Linux cnode11 4.4.0-97-generic #120-Ubuntu SMP Tue Sep 19 17:28:18 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

I opened LP #1727301 to track this further

Sounds like maybe that kernel defaults to noarp and we'd want systemd to retain previous behavior?

Do you have any sysctl configuration that forces arp state?

Tobias Wolf (towolf) wrote :

We got hit by this as well. Some Ceph nodes lost all networking.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 232-21ubuntu7

---------------
systemd (232-21ubuntu7) zesty; urgency=medium

  * networkd: accept `:' in ifnames in systemd/networkd. (LP: #1714933)
  * networkd: add support for ActiveSlave and PrimarySlave netdev options.
    (LP: #1709135)
  * Cherrypick upstream fix for a race between .mount and .automount units,
    which currently may result in automounts hanging. (LP: #1709649)
  * systemd.postinst: Fix-up version number check in the previous sru.
    The version check in the postinst was too tight, thus the SRU fix failed
    validation. (LP: #1710410)

systemd (232-21ubuntu6) zesty; urgency=medium

  * link: Fix offload features initialization.
    This fixes a regression introduced in v232 which caused TCP
    segmentation offloads being disabled by default, resulting in
    significant performance issues under certain conditions. (Closes: #864073)
    (LP: #1703393)
  * loginctl: Fix loginctl ignoring user given session IDs at command-line
    (LP: #1682154)
  * Disable fallback DNS servers.
    This causes resolved to call-home to google, attempt to access network when
    none is available, and spams logs. (LP: #1449001)
  * initramfs-tools: trigger udevadm add actions with subsystems first.
    This updates the initramfs-tools init-top udev script to trigger udevadm
    actions with type specified. This mimicks the
    systemd-udev-trigger.service. Without type specified only devices are
    triggered, but triggering subsystems may also be required and should happen
    before triggering the devices. This is the case for example on s390x with zdev
    generated udev rules. (LP: #1713536)
  * Enable systemd-resolved by default. (LP: #1710410)
  * core: fix systemd failing to serialize tasks correctly on daemon-reload.
    (LP: #1702823)

 -- Dimitri John Ledkov <email address hidden> Wed, 04 Oct 2017 14:22:02 +0100

Changed in systemd (Ubuntu Zesty):
status: Fix Committed → Fix Released

Hello Ryan, or anyone else affected,

Accepted nplan into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nplan/0.32~17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-zesty
removed: verification-done verification-done-zesty
Łukasz Zemczak (sil2100) wrote :

Hello Ryan, or anyone else affected,

Accepted nplan into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nplan/0.32~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-done-xenial

nplan 0.32~16.04.2 fails to build because I mismerged 0.32 and broke the code skipping the test_routes_v6 test in the NetworkManager case. Therefore, it can't possibly pass SRU verification.

tags: added: verification-failed-xenial
removed: verification-needed-xenial
Brian Murray (brian-murray) wrote :

Hello Ryan, or anyone else affected,

Accepted nplan into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nplan/0.32~16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-failed-xenial

Autopktests still failing for xenial; the test is still not being skipped (we know it won't work on Xenial due to the version of NM shipped there). Marking verification-failed-xenial.

tags: added: verification-failed-xenial
removed: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Ryan, or anyone else affected,

Accepted nplan into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nplan/0.32~16.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-failed-xenial

Verification-done-artful with 0.32~17.10.1:

Bonding in active-backup mode with primary: set to a suitable device shows the bond with that device set as primary slave.

Verification-done xenial with 0.32~16.04.3:

Testing bonding in active-backup and balance-tlb mode; in both cases when primary: is set, that device it correctly set to be used as the primary slave, as shown in both /proc/net/bonding/bond0 and /sys/class/net/bond0/bonding/primary.

tags: added: verification-done-xenial
removed: verification-needed verification-needed-xenial

Verification-done zesty with 0.32~17.04.01:

Tested bond in balance-tlb mode and active-backup mode, both correctly set the primary for the bond.

tags: added: verification-done-zesty
removed: verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (5.3 KiB)

This bug was fixed in the package nplan - 0.32~16.04.3

---------------
nplan (0.32~16.04.3) xenial; urgency=medium

  * tests/integration.py: Really fix skipping test_routes_v6 for the NM
    backend.

nplan (0.32~16.04.2) xenial; urgency=medium

  * tests/integration.py: Fix test_routes_v6 that I clobbered when I re-applied
    the skip rules for 16.04 after merging in 0.32.

nplan (0.32~16.04.1) xenial; urgency=medium

  * Backport netplan 0.32 to 16.04. (LP: #1713142)
  * debian/control: Depend on systemd (>= 229-4ubuntu20) for the PrimarySlave
    feature backported in that revision.
  * tests/integration.py: Skip tests that are still not yet supported in xenial

nplan (0.32) bionic; urgency=medium

  * src/nm.c: better handle the UUID generation; the order of iterating
    through interaces may affect things here. Also make sure the tests catch
    a null UUID.

nplan (0.31) bionic; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * src/nm.c: generate a UUID for a connection only as needed; when we're
    dealing with NM VLANs. (LP: #1712921)
  * debian/tests/autostart: Make the autostart test more verbose and avoid
    failing right from the start when systemd-networkd is disabled.
    (LP: #1699371)
  * tests/integration.py: bump the NetworkManager timeout for settling to
    120 seconds, autopkgtest infrastructure tends to be a little slow for the
    network device configuration to be applied and noticed by NM.
    (LP: #1699371)

  [ Dimitri John Ledkov ]
  * Reload udevd to invalidate configuration cache of .rules/.link files
    as generate step may have changed them. LP: #1669564

  [ Dan Streetman ]
  * Add another interface driver exception to netplan replug to prevent unbind
    of the Xen VIF interfaces. (LP: #1729573)

nplan (0.30) artful; urgency=medium

  * Add an "optional" syntax node for now to all devices. This is unimplemented
    for now, but intended to allow users to mark some devices as optional: to
    make sure they do not delay boot when configured. (LP: #1664844)

nplan (0.29) artful; urgency=medium

  * Fix autopkgtests in a world where /run/NetworkManager/conf.d already
    exists. nplan is enabled by default, so it might well have the directory
    already created on the filesystem.

nplan (0.28) artful; urgency=medium

  * Revert 56cd3eec which disabled IPv6 Router Advertisements by default. It
    broke default network config in LXD and was contrary to the defaults used
    by the kernel. Reopens LP: 1655440. (LP: #1717404)
  * Add "accept-ra:" key for all device types; this will default to OFF but
    allow users to disable processing Router Advertisements when required by
    their network setup. (LP: #1655440)

nplan (0.27) artful; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Fix crash in systemd generator if called by an user on the command-line
  * coverage: fix exclusions to properly not cover our "never reached defaults"

  [ Dimitri John Ledkov ]
  * tests/integration.py: In teardown, stop systemd-networkd.socket.
  * src/networkd.c: Set UseMTU=true by default, whenever DHCP is in use.
    (LP: #1717471)
  * tests/integration.py: fix resolved detection.

nplan (0.26) artful; urgency=medium

 ...

Read more...

Changed in nplan (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package nplan - 0.32~17.04.1

---------------
nplan (0.32~17.04.1) zesty; urgency=medium

  * Backport 0.32 to 17.04. (LP: #1713142)

nplan (0.32) bionic; urgency=medium

  * src/nm.c: better handle the UUID generation; the order of iterating
    through interaces may affect things here. Also make sure the tests catch
    a null UUID.

nplan (0.31) bionic; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * src/nm.c: generate a UUID for a connection only as needed; when we're
    dealing with NM VLANs. (LP: #1712921)
  * debian/tests/autostart: Make the autostart test more verbose and avoid
    failing right from the start when systemd-networkd is disabled.
    (LP: #1699371)
  * tests/integration.py: bump the NetworkManager timeout for settling to
    120 seconds, autopkgtest infrastructure tends to be a little slow for the
    network device configuration to be applied and noticed by NM.
    (LP: #1699371)

  [ Dimitri John Ledkov ]
  * Reload udevd to invalidate configuration cache of .rules/.link files
    as generate step may have changed them. LP: #1669564

  [ Dan Streetman ]
  * Add another interface driver exception to netplan replug to prevent unbind
    of the Xen VIF interfaces. (LP: #1729573)

nplan (0.30) artful; urgency=medium

  * Add an "optional" syntax node for now to all devices. This is unimplemented
    for now, but intended to allow users to mark some devices as optional: to
    make sure they do not delay boot when configured. (LP: #1664844)

nplan (0.29) artful; urgency=medium

  * Fix autopkgtests in a world where /run/NetworkManager/conf.d already
    exists. nplan is enabled by default, so it might well have the directory
    already created on the filesystem.

nplan (0.28) artful; urgency=medium

  * Revert 56cd3eec which disabled IPv6 Router Advertisements by default. It
    broke default network config in LXD and was contrary to the defaults used
    by the kernel. Reopens LP: 1655440. (LP: #1717404)
  * Add "accept-ra:" key for all device types; this will default to OFF but
    allow users to disable processing Router Advertisements when required by
    their network setup. (LP: #1655440)

nplan (0.27) artful; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Fix crash in systemd generator if called by an user on the command-line
  * coverage: fix exclusions to properly not cover our "never reached defaults"

  [ Dimitri John Ledkov ]
  * tests/integration.py: In teardown, stop systemd-networkd.socket.
  * src/networkd.c: Set UseMTU=true by default, whenever DHCP is in use.
    (LP: #1717471)
  * tests/integration.py: fix resolved detection.

nplan (0.26) artful; urgency=medium

  * Bonding:
    - Add support for specifying a primary slave. (LP: #1709135)
  * Rebind:
    - Fix brcmfmac harder. Treat any 'brcmfmac' driver as not supporting
      rebind. (LP: #1712224)
  * Autopkgtests:
    - Add allow-stderr. Systemd now bleats about a the networkd socket still
      being around and enabled when we restart the service; but we don't need
      to care since we're /restarting/ the service to load the new config.
    - Fix the autostart package to be more sensible: we don't really care if
 ...

Read more...

Changed in nplan (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers